Bug 442118 - Cannot install Fedora 9 Preview in text mode
Cannot install Fedora 9 Preview in text mode
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 16:02 EDT by Peter Ennis
Modified: 2008-08-04 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-04 10:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump uploaded after installation failure (680.24 KB, text/plain)
2008-04-26 19:05 EDT, Pablo Iranzo Gómez
no flags Details

  None (edit)
Description Peter Ennis 2008-04-11 16:02:26 EDT
Description of problem:

Cannot install Fedora 9 Preview in text mode

Version-Release number of selected component (if applicable):

How reproducible:

1. Download boot.iso of 4/10/2008, create cd and run.
The system is a Dell Inspiron 5000 (old).
Graphics card not recognized so gui install
not available. Use  text mode.
2. Create custom layout uses VolumeGroup and
says that "edit layout only available in graphics mode".
This is a catch22 as the graphics is not recognized.
3. Provide a url to test install and proceed
with setup after providing network settings etc.
4. url entered wrong, so click edit.
"edit url is not available in text mode"

It seems that the installer is abandoning older
hardware. So it is not really clear if this
is a bug, feature or policy decision.

I will do a test install of ubuntu and
see if that deals with the hardware.

Steps to Reproduce:
Actual results:

Expected results:

If options can be changed in gui mode then
I would expect them to be changeable in text
mode. If that is not possible then a nice
big upfront disclaimer on text mode limitations
and/or hardware not supported would be helpful.

Additional info:
Comment 1 Jeremy Katz 2008-04-11 16:12:30 EDT
There's lots of things that aren't supported in text mode due to limitations of
toolkits, time, etc.

I'd rather get to the bottom of why graphical mode didn't start -- can you give
a bit more information about ht emachine you're trying to install on?
Comment 2 Peter Ennis 2008-04-11 17:35:47 EDT
Please let me know the easiest way to capture
the data you want from the install process
and I can send it.
If this does not work, what is the magic
incantation to get these detail if I install
some other linux version?
Comment 3 Chris Lumens 2008-04-18 10:11:01 EDT
You can go to tty2 and scp the /tmp/anaconda.log, /tmp/X.log, and /tmp/syslog
files to another machine.  That's probably the easiest way to do it.  If not you
can probably convince a floppy or USB key to work but that requires a lot more
Comment 4 Bob Arendt 2008-04-19 23:30:06 EDT
I just ran into what was possibly the same issue.  Switching to vt2, and doing a
"df", it appeared that /mnt/source was mounted twice.  Once to /dev/sr0, and
once through a loopback device.  I did a "umount /mnt/source" twice, then
manually loopback mounted the Fedora DVD .iso at /mnt/source.  For me that was:
mount -r -o loop /mnt/isodir/Fedora-9-Preview-i386-DVD.iso /mnt/source
Did a retry, and installation proceeded.  This even bit me during graphical
install using an on-disk based install.
Comment 5 Pablo Iranzo Gómez 2008-04-26 19:05:06 EDT
Created attachment 303879 [details]
Anaconda dump uploaded after installation failure

This is the dump I got while installing over http using the packages contained
into F9 Beta DVD iso
Comment 6 Bug Zapper 2008-05-14 05:19:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Chris Lumens 2008-05-15 00:20:11 EDT
Peter - is this still happening in F9 final?

Note You need to log in before you can comment on or make changes to this bug.